# List of all items[−]

### Structs

- char::CharTryFromError
- char::DecodeUtf16
- char::DecodeUtf16Error
- char::DecodeUtf8
- char::EscapeDebug
- char::EscapeDefault
- char::EscapeUnicode
- char::ParseCharError
- char::ToLowercase
- char::ToUppercase
- char::UnicodeVersion
- lossy::Utf8Lossy
- lossy::Utf8LossyChunk
- lossy::Utf8LossyChunksIter
- str::SplitWhitespace
- str::Utf16Encoder
- u_str::SplitWhitespace
- u_str::Utf16Encoder
- version::UnicodeVersion

### Traits

- str::UnicodeStr
- u_str::UnicodeStr

### Functions

- char::decode_utf16
- char::decode_utf8
- char::from_digit
- char::from_u32
- char::from_u32_unchecked
- derived_property::Case_Ignorable
- derived_property::Cased
- property::Pattern_White_Space
- tables::derived_property::Case_Ignorable
- tables::derived_property::Cased
- tables::property::Pattern_White_Space

### Constants

- char::MAX
- char::REPLACEMENT_CHARACTER
- char::UNICODE_VERSION
- tables::UNICODE_VERSION

# Help

## Keyboard Shortcuts

`?`
  Show this help dialog
`S`
  Focus the search field
`↑`
  Move up in search results
`↓`
  Move down in search results
`↹`
  Switch tab
`⏎`
  Go to active search result
`+`
  Expand all sections
`-`
  Collapse all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)